import React, { useContext, useState } from 'react';
import { F } from 'ramda';
/**
 * Context for making dashboard config available
 */
const DashboardConfigContext = React.createContext({});
export const useConfig = () => useContext(DashboardConfigContext);
const DashboardContext = React.createContext({
    maximised: '',
    setMaximised: F,
});
// Wrapped access and provider for context
export const useDashboardContext = () => useContext(DashboardContext);
export const DashboardContextProvider = ({ children, config = {}, }) => {
    const [maximised, setMaximised] = useState('');
    return (React.createElement(DashboardConfigContext.Provider, { value: config },
        React.createElement(DashboardContext.Provider, { value: { maximised, setMaximised } }, children)));
};
