import { AnyAction } from 'redux';
import { AsyncComponents } from '../../../hooks';
import { HiroColors } from '../../../types';
export declare type SupportedDataTypes = 'string';
export interface WidgetDataConfig {
    path: string | string[];
    type: SupportedDataTypes;
    fallback?: string;
}
export interface BaseWidgetConfig {
    size?: number | number[];
    title?: string;
    content?: string | number;
    data?: WidgetDataConfig;
    as?: AsyncComponents;
}
export interface SimpleWidgetConfig extends BaseWidgetConfig {
    as?: undefined;
}
export interface ButtonWidgetConfig extends BaseWidgetConfig {
    as: 'Button';
    action?: AnyAction;
}
export interface HeaderWidgetConfig extends BaseWidgetConfig {
    as: 'Header';
}
export interface TextWidgetConfig extends BaseWidgetConfig {
    as: 'Text';
}
export declare type WidgetConfig = SimpleWidgetConfig | ButtonWidgetConfig | HeaderWidgetConfig | TextWidgetConfig;
export interface DashboardConfig {
    store?: string | string[];
    color?: HiroColors;
    widgets?: Record<string, WidgetConfig>;
}
