import { useMemo } from 'react';
import { path, flatten } from 'ramda';
import { useSelector } from 'react-redux';
export const useDashboardData = (dataPath = [], namespace = []) => {
    const get = useMemo(() => {
        if (!dataPath) {
            return;
        }
        const p = flatten([namespace, dataPath]);
        return path(p);
    }, [namespace, dataPath]);
    return useSelector((state) => {
        if (!dataPath) {
            return;
        }
        return get(state);
    });
};
